##
##  teapop.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         teapop
Summary:      Teapop POP3-Server
URL:          http://www.toontown.org/teapop/
Vendor:       ToonTown Consulting
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Mail
License:      BSD
Version:      0.3.5
Release:      20030111

#   list of sources
Source0:      http://www.toontown.org/pub/teapop/teapop-%{version}.tar.gz
Source1:      rc.teapop
Source2:      fsl.teapop

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, fsl >= 1.0.6, make
PreReq:       OpenPKG, openpkg >= 20020206, fsl >= 1.0.6
AutoReq:      no
AutoReqProv:  no
Provides:     POP

%description
    Teapop is an RFC1939 and RFC2449 compliant POP3-server, which is quickly
    gaining world-wide recognition. With its' flexible virtual domain support,
    Teapop distinguishes itself from other POP3-servers.

%prep
    %setup -q
    #   Disabling check for PID file directory since it will be created later
    #   during %install
    chmod u+w config/configure
    %{l_shtool} subst \
        -e 's;^elif test -d \$pop_piddir\; then$;elif true\; then;' \
        config/configure

    #   Removing LOG_NDELAY in openlog(3) call which prevents fsl from logging.
    #   Since we don't operate teapop in a chroot environment this shouldn't be
    #   an issue.
    chmod u+w teapop/teapop.c
    %{l_shtool} subst \
        -e 's; | LOG_NDELAY;;' \
        teapop/teapop.c

%build
    #    Building Teapop with OSSP fsl
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags} `%{l_prefix}/bin/fsl-config --all --cflags`" \
    CPPFLAGS="%{l_cppflags} `%{l_prefix}/bin/fsl-config --all --cflags`" \
    LDFLAGS="%{l_ldflags} `%{l_prefix}/bin/fsl-config --all --ldflags`" \
    LIBS="`%{l_prefix}/bin/fsl-config --all --libs`" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/teapop \
        --libexecdir=%{prefix}/sbin \
        --localstatedir=%{l_prefix}/var/teapop \
        --enable-piddir=%{l_prefix}/var/teapop \
        --enable-homespool=.mail/inbox \
        --disable-vpop
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT

    #   Installing Teapop
    DESTDIR="$RPM_BUILD_ROOT" %{l_make} %{l_mflags} install

    #   Creating run-command script
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        -e 's;@l_susr@;%{l_susr};g' -e 's;@l_sgrp@;%{l_sgrp};g' \
        -e 's;@l_musr@;%{l_musr};g' -e 's;@l_mgrp@;%{l_mgrp};g' \
        %{SOURCE rc.teapop} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    #   Creating fsl directory
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/fsl
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE fsl.teapop} $RPM_BUILD_ROOT%{l_prefix}/etc/fsl/

    #   Stripping installation
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/cronpopauth.pl \
        >/dev/null 2>&1 || true

    #   Determining installation tree files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
        '%config %attr(0600,root,%{l_mgrp}) %{l_prefix}/etc/teapop/*' \
        '%config %{l_prefix}/etc/fsl/fsl.teapop' \
        '%not %dir %{l_prefix}/etc/fsl'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

